Skip to main content
GET
/
account
/
{network}
/
{address}
/
nft
Gets NFTs owned by the given address
curl --request GET \
  --url https://solana-gateway.moralis.io/account/{network}/{address}/nft \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://solana-gateway.moralis.io/account/{network}/{address}/nft"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://solana-gateway.moralis.io/account/{network}/{address}/nft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "associatedTokenAddress": "<string>",
    "mint": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "tokenStandard": 123,
    "amount": "<string>",
    "amountRaw": "<string>",
    "decimals": 123,
    "possibleSpam": true,
    "totalSupply": "<string>",
    "attributes": [
      {
        "traitType": "<string>",
        "value": {}
      }
    ],
    "contract": {
      "type": "<string>",
      "name": "<string>",
      "symbol": "<string>"
    },
    "collection": {
      "collectionAddress": "<string>",
      "name": "<string>",
      "description": "<string>",
      "imageOriginalUrl": "<string>",
      "externalUrl": "<string>",
      "metaplexMint": "<string>",
      "sellerFeeBasisPoints": 123
    },
    "firstCreated": {
      "mintTimestamp": 123,
      "mintBlockNumber": 123,
      "mintTransaction": "<string>"
    },
    "creators": [
      {
        "address": "<string>",
        "share": 123,
        "verified": true
      }
    ],
    "properties": {},
    "media": {
      "mimetype": "<string>",
      "category": "<string>",
      "originalMediaUrl": "<string>",
      "status": "<string>",
      "updatedAt": "<string>",
      "mediaCollection": {
        "low": {
          "width": 123,
          "height": 123,
          "url": "<string>"
        },
        "medium": {
          "width": 123,
          "height": 123,
          "url": "<string>"
        },
        "high": {
          "width": 123,
          "height": 123,
          "url": "<string>"
        }
      }
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

network
enum<string>
required

The network to query

Available options:
mainnet,
devnet
address
string
required

The address to query

Example:

"kXB7FfzdrfZpAZEW3TZcp8a8CwQbsowa6BdfAHZ4gVs"

Query Parameters

nftMetadata
boolean
default:false

Should return the full NFT metadata

mediaItems
boolean
default:false

Should return media items

excludeSpam
boolean
default:false

Should exclude spam NFTs

includeFungibleAssets
boolean
default:false

Should include fungible assets (tokenStandard:1)

Response

200 - application/json
associatedTokenAddress
string
required
mint
string
required
name
string
required
symbol
string
required
tokenStandard
number | null
required
amount
string
required
amountRaw
string
required
decimals
number
required
possibleSpam
boolean
required
totalSupply
string
attributes
object[]
contract
object
collection
object
firstCreated
object
creators
object[] | null
properties
object | null
media
object | null